Subject: bug#33040: 26.1.50; Epg prompt on Microsoft Windows differ from the GNU/Linux on when asking passphrase

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Oct 2018 21:35:14 +0300

> From: [email-masked] (Pierre Téchoueyres)
> Cc: [email-masked]
> Date: Wed, 24 Oct 2018 20:08:07 +0200
> 
> > Doesn't
> >
> >                                   : coding 'raw-text-unix
> >
> > work on both Windows and GNU/Linux?
> 
> 
> No it doesn't on Windows. I guess it's because of the -unix part which
> results in adding the CR before the colon (:).

Right, I was confused and forgot that this was exactly the original
problem.  So raw-text it is.  And yes, please prepare a patch.

> Sorry, when :coding 'raw-text-unix didn't work as expected I first try
> 
> :coding (if (memq system-type '(ms-dos windows-nt))
>              'raw-text-dos
>          'raw-text-unix)
> 
> then I realized it was equivalent to :
> :coding 'raw-text

Actually, no: it isn't equivalent.  Just raw-text tells Emacs to use
the default on encoding (thus -dos on Windows and -unix on GNU/Linux),
and to _detect_ the EOL format on decoding.  But I don't think this is
a problem in this case, is it?